Download it now!
Bug 48473 - No object information in status bar
Summary: No object information in status bar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:3.6.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-09 10:39 UTC by Regina Henschel
Modified: 2012-04-23 03:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2012-04-09 10:39:05 UTC
I have tested daily
master~2012-04-09_00.00.44_LibO-Dev_3.6.0alpha0_Win_x86_install_en-US.msi

The left field in the status bar in Draw should show object information, for example length difference while dragging or angles of arc. But it has in all situations only the text "Nothing".
Comment 1 Regina Henschel 2012-04-14 15:29:23 UTC
The error is in svx\source\svdraw\svdview.cxx in lines 1176 and 1271. The translation of "nix" was wrong. Fix will follow next week.
Comment 2 Not Assigned 2012-04-19 03:25:31 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a763ef3c0cfdb1fd04528a393a44be508314072b

fdo#48473 Missing translation of local String constant
Comment 3 Nino 2012-04-22 10:54:48 UTC
Seems to work now :) in
master~2012-04-17_13.43.52_LibO-Dev_3.6.0alpha0_Linux_x86_install-rpm_en-US.tar.gz

But ther's a small glitch left: When adding text to an object, after inserting a line break (Return or Shift+Return), the status bar field does not recognize the line break during editing and freezes at the position of the last character of the first line entered. In contrast, when editing an existing multiline text, every line is recognized and the Paragraph/Row/Column indicator updates correctly. So while you're at it, maybe you could fix this one, too? (ich mein ja nur...)
Comment 4 Regina Henschel 2012-04-22 13:19:44 UTC
The incorrect or delayed position info is a different problem. It is already present in older LO and OOo versions. I have written a new issue for it fdo#49059.
Comment 5 Nino 2012-04-23 03:09:01 UTC
Ok, then this one I'm regarding as FIXED and changing the status accrodingly. For verification, an official build should be taken, I suppose?